#!/bin/bash

# PROGRAM=e_hello_world
# PROGRAM=e_hello_world_cp
# PROGRAM=e_hello_world_cp2
# PROGRAM=e_hello_world_ed
# PROGRAM=aplc_helloworld_ed
# PROGRAM=aplc_helloworld_ed2
# PROGRAM=vector_sum
# PROGRAM=vector_sum_ed
# PROGRAM=vector_sum_ed3
# PROGRAM=vector_sum_ed2
# PROGRAM=matrix_ed
# PROGRAM=delay_ed
# PROGRAM=matrixinvint_jts2_ed
# PROGRAM=matrixinvint_nojts_ed
# PROGRAM=matrixinvreal_jts
# PROGRAM=matrixinvreal
# PROGRAM=matrixinvreal_ed
# PROGRAM=transpose_7
# PROGRAM=transpose_7_ed
# PROGRAM=transpose_ed
# PROGRAM=transpose_7_int_ed
# PROGRAM=mathtst_ed
PROGRAM=mathtst_3_ed


HOST=harness_01
TARGET=target
set -e

ESDK=${EPIPHANY_HOME}
ELIBS=${ESDK}/tools/host/lib
EINCS=${ESDK}/tools/host/include
# ELDF=${ESDK}/bsps/current/fast.ldf
# ELDF=${ESDK}/bsps/current/legacy.ldf
# ELDF=${ESDK}/bsps/current/internal.ldf
# ELDF=${ESDK}/bsps/current/aplc.ldf
ELDF=./aplc.ldf
# ELDF=${ESDK}/bsps/current/apl_external.ldf
# ELDF=${ESDK}/bsps/current/apl_external3.ldf
# ELDF=${ESDK}/bsps/current/aplc_fmat.ldf
# ELDF=${ESDK}/bsps/current/aplc_transp.ldf

# LIBAPLC=/home/linaro/Src/Parallella/aplc-6.17/e-lib
LIBAPLC=./e-lib

# Build HOST side application
gcc src/$HOST.c -o Debug/$HOST.elf -I ${EINCS} -L ${ELIBS} -le-hal

# Build DEVICE side program
# e-gcc -T ${ELDF} src/$PROGRAM.c -o Debug/$TARGET.elf -le-lib

# These next two lines need only be executed the once, to generate the .o files
  e-gcc -c   src/buffer.c 
  e-gcc -c -I inc  libC/*.c 
  e-gcc  -T ${ELDF} -I inc src/$PROGRAM.c -o Debug/$TARGET.elf  *.o -O2 -lm  -le-lib

# Convert ebinary to SREC file
e-objcopy --srec-forceS3 --output-target srec Debug/$TARGET.elf Debug/$TARGET.srec

